package com.xx.merchanthbh.data.local

import com.google.gson.Gson
import com.xx.merchanthbh.data.http.respons.MerchantBean
import com.xx.merchanthbh.data.http.respons.UserBean
import me.goldze.mvvmhabit.utils.SPUtils
import me.goldze.mvvmhabit.utils.StringUtils
import java.util.ArrayList
import java.util.Arrays
import java.util.stream.Collectors


object LocalData  {

    /**
     * 存储用户信息
     */
    @JvmStatic
    fun saveUser(user:UserBean) {
        SPUtils.getInstance().put("UserInformation",Gson().toJson(user))
    }
    /**
     * 获取用户信息
     */
    @JvmStatic
    fun getUser() : UserBean ?{
       var userStr= SPUtils.getInstance().getString("UserInformation")
        return Gson().fromJson(userStr,UserBean::class.java)
    }

    /**
     * 存储商户信息
     */
    @JvmStatic
    fun saveMerchant(merchant:MerchantBean) {
        SPUtils.getInstance().put("MerchantInformation",Gson().toJson(merchant))
    }
    /**
     * 获取商户信息
     */
    @JvmStatic
    fun getMerchant() : MerchantBean? {
        var merchantStr= SPUtils.getInstance().getString("MerchantInformation")
        return Gson().fromJson(merchantStr,MerchantBean::class.java)
    }


    /**
     * 存储商户信息
     */
    @JvmStatic
    fun saveElectricList( number :String) {
        val list = getElectricList().toMutableList()
        for (bean in list)
        {
            if (bean.equals(number))
            {
                return
            }
        }
        list.add(number)
        SPUtils.getInstance().put("ElectricList",StringUtils.join(list,","))
    }
    /**
     * 获取商户信息
     */
    @JvmStatic
    fun getElectricList() : List<String> {
        var merchantStr= SPUtils.getInstance().getString("ElectricList")
        if(StringUtils.isEmpty(merchantStr))
        {
            return listOf()
        }
        return merchantStr.split(",")
    }



}